# digital_ocean_domain_info – Gather information about DigitalOcean Domains

New in version 2.6.

- Synopsis

- Requirements

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- This module can be used to gather information about DigitalOcean provided Domains.

- This module was called `digital_ocean_domain_facts` before Ansible 2.9. The usage did not change.

Aliases: digital_ocean_domain_facts

## Requirements

The below requirements are needed on the host that executes this module.

- python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
domain_name - |  | Name of the domain to gather information for.
oauth_token string |  | DigitalOcean OAuth token. There are several other environment variables which can be used to provide this value. i.e., - 'DO_API_TOKEN', 'DO_API_KEY', 'DO_OAUTH_TOKEN' and 'OAUTH_TOKEN' aliases: api_token
timeout integer | Default: 30 | The timeout in seconds used for polling DigitalOcean's API.

validate_certs
boolean

Choices:
- no
- yes ←

If set to `no`, the SSL certificates will not be validated.
This should only set to `no` used on personally controlled sites using self-signed certificates.

## Examples

    - name: Gather information about all domains
      digital_ocean_domain_info:
        oauth_token: "{{ oauth_token }}"

    - name: Gather information about domain with given name
      digital_ocean_domain_info:
        oauth_token: "{{ oauth_token }}"
        domain_name: "example.com"

    - name: Get ttl from domain
      digital_ocean_domain_info:
      register: resp_out
    - set_fact:
        domain_ttl: "{{ item.ttl }}"
      loop: "{{ resp_out.data|json_query(name) }}"
      vars:
        name: "[?name=='example.com']"
    - debug: var=domain_ttl

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---

data
list

success

DigitalOcean Domain information
Sample:
[{'domain_records': [{'data': 'ns1.digitalocean.com', 'flags': None, 'id': 37826823, 'name': '@', 'port': None, 'priority': None, 'tag': None, 'ttl': 1800, 'type': 'NS', 'weight': None}], 'name': 'myexample123.com', 'ttl': 1800, 'zone_file': 'myexample123.com. IN SOA ns1.digitalocean.com. hostmaster.myexample123.com. 1520702984 10800 3600 604800 1800 '}]

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Abhijeet Kasurde (@Akasurde)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.